dpkg-query(1)

NAAM
dpkg-query - een gereedschap om te zoeken in de database van dpkg

OVERZICHT
dpkg-query [optie...] commando

BESCHRIJVING
dpkg-query is een gereedschap om informatie te tonen over pakketten die opgenomen zijn in de database van dpkg.

COMMANDO'S

-l, --list [pakketnaampatroon...]
    Geef de pakketten weer die beantwoorden aan het opgegeven patroon. Indien geen pakketnaampatroon opgegeven werd, som dan alle pakketten uit /var/lib/dpkg/status op, met uitzondering van diegene die als niet-geïnstalleerd gemarkeerd staan (d.w.z. die welke eerder gewist werden). De normale shell-jokertekens mogen in pakketnaampatroon gebruikt worden. Merk op dat u pakketnaampatroon wellicht tussen aanhalingstekens zult moeten plaatsen om te voorkomen dat de shell aan bestandsnaamexpansie zou doen. Het volgende zal bijvoorbeeld een opsomming geven van alle pakketnamen die beginnen met “libc6”:
      dpkg-query -l 'libc6*'
    De eerste drie kolommen van de uitvoer tonen de gewenste actie, de toestand van het pakket, en fouten, in die volgorde. Gewenste actie:
      u = Onbekend (Unknown)
      i = Installeren (Install)
      h = Handhaven (Hold)
      r = Verwijderen (Remove)
      p = Wissen (Purge)
    Toestand van het pakket:
      n = Niet-geïnstalleerd (Not-installed)
      c = Configuratiebestanden (Config-files)
      H = Half-geïnstalleerd (Half-installed)
      U = Uitgepakt (Unpacked)
      F = Half-geconfigureerd (Half-configured)
      W = Triggers-afgewacht (Triggers-awaiting)
      t = Triggers-aanhangig (Triggers-pending)
      i = Geïnstalleerd (Installed)
    Foutvlaggen:
      <leeg> = (geen)
      R = Herinst-nodig (Reinst-required)
    Een toestand die aangeduid wordt met een hoofdletter of een foutletter wijzen erop dat het waarschijnlijk is dat het pakket ernstige problemen zal veroorzaken. Gelieve dpkg(1) te raadplegen voor informatie over de bovenstaande toestanden en vlaggen. De indeling van de uitvoer van deze optie kan niet geconfigureerd worden, maar varieert automatisch om te passen binnen de breedte van de terminal. Ze is bedoeld om door personen gelezen te worden, en kan niet gemakkelijk gelezen worden door een machine. Zie -W (--show) en --showformat voor een manier om de indeling van de uitvoer te configureren.

-W, --show [pakketnaampatroon...]
    Net zoals de optie --list zal dit alle pakketten opsommen die met het opgegeven patroon overeenkomen. De uitvoer kan evenwel aangepast worden met behulp van de optie --showformat. De standaardindeling van de uitvoer gebruikt één regel per pakket dat gevonden werd, waarbij elke regel de naam (uitgebreid met de architectuurkwalificatie voor pakketten van het type Multi-Arch same) en de geïnstalleerde versie van het pakket bevat, onderling gescheiden door een tab.

-s, --status pakketnaam...
    Rapporteert over de status van het opgegeven pakket. Dit geeft gewoon het item weer uit de database met de toestand van geïnstalleerde bestanden. Als meerdere pakketnamen vermeld werden, worden de opgevraagde items met toestandsinformatie van elkaar gescheiden door een lege regel en weergegeven in dezelfde volgorde als die van de lijst met argumenten.

-L, --listfiles pakketnaam...
    Som de bestanden op die uit pakketnaam op uw systeem geïnstalleerd werden. Als meerdere pakketnamen opgegeven werden, zullen de gevraagde opsommingen van bestanden van elkaar gescheiden worden door een lege regel en in dezelfde volgorde weergegeven worden als ze in de lijst met argumenten opgegeven werden. Merk nochtans op dat bestanden die aangemaakt worden door pakketspecifieke installatiescripts niet vermeld worden.

--control-list pakketnaam
    Som de controlebestanden op die uit pakketnaam op uw systeem geïnstalleerd werden (sinds dpkg 1.16.5). Die kunnen gebruikt worden als invoerargumenten voor --control-show.

--control-show pakketnaam controlebestand
    Geef het controlebestand dat uit pakketnaam op uw systeem geïnstalleerd werd, weer op de standaarduitvoer (sinds dpkg 1.16.5).

-c, --control-path pakketnaam [controlebestand]
    Som de paden van controlebestanden op die uit pakketnaam op uw systeem geïnstalleerd werden (sinds dpkg 1.15.4). Indien controlebestand opgegeven werd, toon dan enkel het pad voor dat controlebestand als het bestaat. Waarschuwing: dit commando wordt uitgefaseerd, omdat het rechtstreekse toegang verleent tot de interne database van dpkg. Gelieve in plaats daarvan over te schakelen op het gebruik van --control-list en --control-show in alle gevallen waarin deze commando's hetzelfde eindresultaat kunnen geven. Dit commando zal evenwel niet verwijderd worden zolang er nog minstens één geval is waarin dit commando nodig is (d.w.z. als een schadelijk postrm-script van een pakketonderhouder verwijderd moet worden) en zolang daarvoor geen goede oplossing bestaat.

-S, --search zoekpatroon-bestandsnaam...
    Search for packages that own files corresponding to the given pattern. Standard shell wildcard characters can be used in the pattern, where asterisk (*) and question mark (?) will match a slash, and blackslash (\) will be used as an escape character. Wanneer het eerste teken in het zoekpatroon-bestandsnaam niet een van de tekens ‘*[?/’ is, dan zal het beschouwd worden als deeltekenreeksvergelijking en zal het impliciet geplaatst worden tussen ‘*’ (zoals in *zoekpatroon-bestandsnaam*). Indien de daaropvolgende tekenreeks een van de tekens ‘*[?\’ bevat, dan zal ze behandeld worden als een glob-patroon, anders zal een eventuele afsluitende ‘/’ of ‘/.’ verwijderd worden en zal er een letterlijke padopzoeking uitgevoerd worden. Dit commando geeft geen extra bestanden weer die door scripts van de pakketonderhouder aangemaakt werden en ook geen alternatieven.

-p, --print-avail pakketnaam...
    Toon de details in verband met pakketnaam zoals die te vinden zijn in /var/lib/dpkg/available. Als meerdere pakketnamen opgegeven worden, worden de gevraagde items uit available onderling gescheiden door een lege regel en weergegeven in dezelfde volgorde als die waarin de lijst argumenten opgegeven werd. Gebruikers van frontends die op APT gebaseerd zijn moeten in de plaats daarvan apt-cache show pakketnaam gebruiken, aangezien het bestand available enkel up-to-date gehouden wordt als men dselect gebruikt.

-?, --help
    Toon info over het gebruik en sluit af.

--version
    Toon de versie en sluit af.

OPTIES

--admindir=map
    Wijzig de locatie van de database van dpkg. De standaardlocatie is /var/lib/dpkg.

--load-avail
    Laad ook het bestand available bij het gebruik van de commando's --show en --list. Standaard doorzoeken die nu enkel het bestand status (sinds dpkg 1.16.2).

-f, --showformat=indeling
    Deze optie wordt gebruikt om op te geven in welke indeling --show zijn uitvoer moet produceren. De indeling is een tekenreeks die vorm geeft aan de uitvoer die voor elk opgesomd pakket gegenereerd wordt. In de indelingstekenreeks markeert “\” een stuurcode:
        \n  regeleinde
        \r  wagenterugloop
        \t  tab
    “\” voor elk ander letterteken onderdrukt de eventuele bijzondere betekenis van dat navolgende teken, hetgeen van nut is voor “\” en “$”. Pakketinformatie kan ingevoegd worden door variabeleverwijzingen naar pakketvelden toe te voegen met behulp van de syntaxis “${veld[;breedte]}”. Velden worden rechts uitgelijnd weergegeven tenzij een negatieve breedte opgegeven werd. In dat geval wordt links uitgelijnd. De volgende velden worden herkend, maar zijn niet noodzakelijk aanwezig in het statusbestand (enkel interne velden en velden die in het binaire pakket opgeslagen worden komen er in terecht):
        Architecture (architectuur)
        Bugs (bugs)
        Conffiles (configuratiebestanden) (intern)
        Config-Version (configuratieversie) (intern)
        Conflicts (is tegenstrijdig met)
        Breaks (maakt defect)
        Depends (vereist)
        Description (beschrijving)
        Enhances (biedt uitbreiding voor)
        Essential (essentieel)
        Filename (bestandsnaam) (intern, frontend gerelateerd)
        Homepage (homepage)
        Installed-Size (geïnstalleerde grootte)
        MD5sum (MD5-controlesom) (intern, frontend gerelateerd)
        MSDOS-Filename (MsDos-bestandsnaam) (intern, frontend gerelateerd)
        Maintainer (onderhouder)
        Origin (origine)
        Package (pakket)
        Pre-Depends (heeft als voorafgaande vereiste)
        Priority (prioriteit)
        Provides (voorziet in)
        Recommends (beveelt aan)
        Replaces (vervangt)
        Revision (revisie) (verouderd)
        Section (sectie)
        Size (grootte) (intern, frontend gerelateerd)
        Source (bron)
        Status (intern)
        Suggests (suggereert)
        Tag (gewoonlijk niet in .deb maar in Packages-bestand van pakketbron)
        Triggers-Awaited (triggers-afgewacht) (intern)
        Triggers-Pending (triggers-aanhangig) (intern)
        Version (versie)
    De volgende velden zijn virtueel en worden door dpkg-query gegenereerd uit waarden van andere velden (merk op dat zij namen hebben die niet conform de veldnamen in een controlebestand zijn):

    binary:Package
        Het bevat de naam van het binaire pakket met eventueel een architectuurkwalificatie zoals “libc6:amd64” (sinds dpkg 1.16.2). Er zal een architectuurkwalificatie gebruikt worden om ervoor te zorgen dat de pakketnaam niet ambigu kan zijn, bijvoorbeeld als het pakket een veld Multi-Arch met als waarde same heeft of als het pakket bedoeld is voor een vreemde architectuur.

    binary:Summary
        Het bevat de korte beschrijving van het pakket (sinds dpkg 1.16.2).

    db:Status-Abbrev
        Het bevat de verkorte pakketstatus, zoals “ii” (sinds dpkg 1.16.2).

    db:Status-Want
        Het bevat de gewenste toestand van het pakket, onderdeel van het veld Status (sinds dpkg 1.17.11).

    db:Status-Status
        Het bevat de pakketstatus uitgedrukt in een woord, onderdeel van het veld Status (sinds dpkg 1.17.11).

    db:Status-Eflag
        Het bevat de status-foutvlag van het pakket, onderdeel van het veld Status (sinds dpkg 1.17.11).

    source:Package
        Het bevat de naam van het broncodepakket van dit binaire pakket (sinds dpkg 1.16.2).

    source:Version
        Het bevat het versienummer van het broncodepakket van dit binaire pakket (sinds dpkg 1.16.2).

    De standaard indelingstekenreeks is “${binary:Package}\t${Version}\n”. In feite kunnen ook alle andere velden die in het statusbestand te vinden zijn (d.w.z. door de gebruiker gedefinieerde velden) opgevraagd worden. Zij zullen evenwel als zodanig weergegeven worden, zonder conversie of foutcontrole. Om de naam van de onderhouder van dpkg en de geïnstalleerde versie te bekomen, kunt u het volgende commando uitvoeren:
      dpkg-query -W -f='${binary:Package} ${Version}\t${Maintainer}\n' dpkg

AFSLUITSTATUS

0   De gevraagde opzoeking werd succesvol uitgevoerd.

1   The requested query failed either fully or partially, due to no file or package being found (except for --control-path, --control-list and --control-show were such errors are fatal).

2   Fatal or unrecoverable error due to invalid command-line usage, or interactions with the system, such as accesses to the database, memory allocations, etc.

OMGEVING

DPKG_ADMINDIR
    Indien dit ingesteld werd en de optie --admindir niet gebruikt werd, zal dit gebruikt worden als de datamap voor dpkg.

COLUMNS
    Deze instelling wijzigt de uitvoer van de optie --list door de breedte van de uitvoer ervan aan te passen.

ZIE OOK
dpkg(1).